package net.northking.cctp.executePlan.dto.planTask;

import net.northking.cctp.executePlan.dto.planBatch.BatchStrategyDto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: AtuTaskCreateDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/12
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuTaskCreateDto extends BatchStrategyDto implements Serializable {

    /**
     * 消息队列名称
     */
    private String queueName;

    /**
     * 批次ID
     */
    private String batchId;

    /**
     * 环境ID集合
     */
    private List<String> envIdList;

    /**
     * 用例集集合，key为用例集id,value为未选择的意图id集合
     */
    private Map<String, List<String>> caseSetMap;

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public List<String> getEnvIdList() {
        return envIdList;
    }

    public void setEnvIdList(List<String> envIdList) {
        this.envIdList = envIdList;
    }

    public Map<String, List<String>> getCaseSetMap() {
        return caseSetMap;
    }

    public void setCaseSetMap(Map<String, List<String>> caseSetMap) {
        this.caseSetMap = caseSetMap;
    }
}
